系统要求和兼容性

要求

  • 最低 1 GB RAM。
  • 下表提供了有关安装 Citrix Workspace 应用程序所需的磁盘空间的详细信息。

    安装类型 所需磁盘空间
    全新安装 572 MB
    升级 350 MB

    注意:

    • 安装程序仅在解压缩安装包后对磁盘空间执行检查。
    • 如果无提示安装过程中系统的磁盘空间不足,则不显示该对话框,而是在 CTXInstall\_TrolleyExpress-\*.log 中记录错误消息。
  • Microsoft Edge WebView2 Runtime 版本 102 或更高版本。

    注意:

    从 Citrix Workspace 应用程序版本 2107 开始,Microsoft Edge WebView2 Evergreen Bootstrapper 与 Citrix Workspace 应用程序安装程序打包在一起。Evergreen Bootstrapper 是一款小型安装程序,可下载与设备体系结构匹配的 WebView2 Runtime 版本并在本地进行安装。

    在 Workspace 应用程序安装期间,安装程序会检查系统中是否存在 Microsoft Edge WebView2 Runtime,如果找不到,则会进行安装。

    您必须连接到 Internet 才能下载和安装 Microsoft Edge WebView2 Runtime。

    如果您尝试以非管理员权限安装或升级 Citrix Workspace 应用程序,但 Microsoft Edge WebView2 Runtime 不存在,安装将停止并显示以下消息:

    必须以管理员身份登录才能安装以下必备软件包:

    Edge Webview2 Runtime”

  • 自助服务插件需要 NET 4.8。此插件允许您从 Workspace 用户界面或命令行订阅和启动应用程序和桌面。

    当您尝试安装或升级到 Citrix Workspace 应用程序 1904 或更高版本,但必备的 .NET Framework 版本在 Windows 系统中不可用时,Citrix Workspace 应用程序安装程序将下载并安装所需的 .NET Framework 版本。

    注意:

    当您尝试使用非管理员权限安装或升级 Citrix Workspace 应用程序,但系统中没有 .NET Framework 4.8 或更高版本时,安装将失败。

  • 最新版本的 Microsoft Visual C++ Redistributable。

    注意:

    Citrix 建议您使用最新版本的 Microsoft Visual C++ Redistributable。否则,升级过程中可能会出现重新启动提示。

    自版本 1904 起,Microsoft Visual C++ Redistributable 安装程序随 Citrix Workspace 应用程序安装程序打包。Workspace 应用程序安装过程中,安装程序会检查系统中是否存在 Microsoft Visual C++ Redistributable 程序包,并在必要时进行安装。

    注意:

    如果您的系统中不存在 Microsoft Visual C++ 可再发行组件包,使用非管理员权限安装 Citrix Workspace 应用程序可能会失败。

    只有管理员能够安装 Microsoft Visual C++ Redistributable 程序包。

    有关 .NET Framework 或 Microsoft Visual C++ Redistributable 安装问题的故障排除,请参阅 Citrix 知识中心文章 CTX250044

注意:

您必须连接到 Internet 才能下载和安装 .NET Framework 和 Microsoft Visual C++ Redistributable。否则,管理员可以使用部署方法(例如 SCCM)安装这些要求。

兼容性列表

Citrix Workspace 应用程序与当前所有受支持的 Citrix Virtual Apps and Desktops、Citrix DaaS(以前称为 Citrix Virtual Apps and Desktops 服务)和 Citrix Gateway 版本兼容,这些版本在 Citrix 产品生命周期列表中列出。

注意:

  • Citrix Gateway End-Point Analysis Plug-in (EPA) 在 Citrix Workspace 上受支持。在本机 Citrix Workspace 应用程序中,仅在使用 nFactor 身份验证时才受支持。有关详细信息,请参阅 Citrix ADC 文档中的将预身份验证和后身份验证 EPA 扫描配置为 nFactor 身份验证中的一个因素
  • 仅当客户获得了 Microsoft 的主流支持或扩展支持时,才支持在 Windows 上安装 Citrix Workspace 应用程序。
  • Windows ARM64 操作系统仅在仿真器模式下支持适用于 Windows 的 Citrix Workspace 应用程序。
  • 一旦 Windows 10 版本到达服务终止状态,该版本将不再由 Microsoft 提供服务或支持。Citrix 支持在其制造商支持的操作系统中运行其软件。有关 Windows 10 结束服务的信息,请参阅 Microsoft 的 Windows 生命周期概况介绍

适用于 Windows 的 Citrix Workspace 应用程序与以下 Windows 操作系统兼容:

操作系统
Windows 11
Windows 10 Enterprise(32 位和 64 位版本)。有关兼容的 Windows 10 版本的详细信息,请参阅 Windows 10 与适用于 Windows 的 Citrix Workspace 应用程序的兼容性
Windows 10 Enterprise(2016 LTSB 1607、LTSC 2019)
Windows 10(Home Edition*、Pro)
Windows Server 2022
Windows Server 2019
Windows Server 2016

*不支持域直通身份验证、Desktop Lock、FastConnect API 以及需要加入域的 Windows 计算机的配置。

Windows 10 或 11 与适用于 Windows 的 Citrix Workspace 应用程序的兼容性

下表列出了 Windows 10 版本号以及适用于 Windows 的 Citrix Workspace 应用程序的相应兼容版本。

Windows 10 版本号 内部版本号 Citrix Workspace 应用程序版本
22H2 19045 2206 及更高版本
21H2 19044 2112.1 及更高版本
21H1 19043.928 2106 及更高版本
20H2 19042.508 2012 及更高版本
2004 19041.113 2006.1 及更高版本
1909 18363.418 1911 及更高版本
1903 18362.116 1909 及更高版本
1809 17763.107 1812 及更高版本
1803 17134.376 1808 及更高版本

注意:

Windows 10 版本仅与提及的 Citrix Workspace 应用程序版本兼容。例如,Windows 10 版本 21H1 与 2106 之前的版本不兼容。

下表列出了 Windows 11 版本号以及适用于 Windows 的 Citrix Workspace 应用程序的相应兼容版本。

Windows 11 版本号 内部版本号 Citrix Workspace 应用程序版本
22H2 22621 2209 及更高版本
21H2 22000 2109.1 及更高版本
系统要求和兼容性